<?php
// création de la table _freqgrappes
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_freqgrappes (freqgrap_id INT ( 11 ) NOT NULL AUTO_INCREMENT , nombre INT( 11 ) NOT NULL , division TEXT DEFAULT NULL , niveau VARCHAR ( 2 ) DEFAULT NULL , date_freq DATE NOT NULL , dtstart VARCHAR ( 15 ) DEFAULT NULL, code_freq VARCHAR ( 30 ) DEFAULT NULL, passage INT( 1 ) NOT NULL , PRIMARY KEY ( freqgrap_id ) ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");

// altération du varchar login
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user MODIFY login VARCHAR(40)");
		
// paramètres freq par ensembles ou grappes
$verif = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_grappes'");
$verif_nb = mysqli_num_rows($verif);
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_grappes', '0', 'Option de gestion des inscriptions par ensembles ou grappes d''élèves.')");
}

// paramètres gestion de passages
$verif = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_passages'");
$verif_nb = mysqli_num_rows($verif);
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_passages', '0', 'Option de gestion des simples passages en fréquentation.')");
}

// paramètres degrés d'évaluation :
$verif = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb'");
$verif_nb = mysqli_num_rows($verif);
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_sigb', 'non', 'Option d''importation des retards de prêts depuis PMB ou BCDI.')");
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.19' WHERE param_nom = 'version_bdd'");

?>